local _, addonTable = ...;

--///////////////////////////////////////////
local fuFrame=Pig_Options_RF_TAB_12_UI

local Config_Name ={"初始配置","常用配置","PIG",};
local Config_ID ={"Default","AllNO","PIG"};
local Config_SM ={
	"此配置默认关闭所有功能，请按需开启。",
	"开启常用功能，不需要功能请自行关闭。",
	"作者个人使用的配置",
};
---------
for id=1,#Config_ID do
	local Default_Button = CreateFrame("Button", "Default_Button_"..id, fuFrame, "UIPanelButtonTemplate");  
	Default_Button:SetSize(120,30);
	if id==1 then
		Default_Button:SetPoint("TOPLEFT",fuFrame,"TOPLEFT",20,-20);
	else
		Default_Button:SetPoint("TOPLEFT",_G["Default_Button_"..(id-1)],"BOTTOMLEFT",0,-40);
	end
	Default_Button:SetText(Config_Name[id]);
	Default_Button.title = Default_Button:CreateFontString();
	Default_Button.title:SetPoint("LEFT", Default_Button, "RIGHT", 6, 0);
	Default_Button.title:SetFontObject(GameFontNormal);
	Default_Button.title:SetTextColor(0, 1, 0, 1);
	Default_Button.title:SetJustifyH("LEFT");
	Default_Button.title:SetText(Config_SM[id]);
	Default_Button.line = Default_Button:CreateLine()
	Default_Button.line:SetColorTexture(1,1,1,0.2)
	Default_Button.line:SetThickness(1);
	Default_Button.line:SetStartPoint("BOTTOMLEFT",-16,-20)
	Default_Button.line:SetEndPoint("BOTTOMRIGHT",444,-20)
end

for id=1,#Config_ID do
	_G["Default_Button_"..id]:SetScript("OnClick", function ()
		StaticPopup_Show ("PEIZHI_"..Config_ID[id]);
	end);
	StaticPopupDialogs["PEIZHI_"..Config_ID[id]] = {
		text = "此操作将\124cff00ff00载入\124r\n"..Config_Name[id].."的设置。\n已保存的聊天记录，副本助手/带本助手的数据也将被\124cffff0000清空\124r。\n确定载入?",
		button1 = "确定",
		button2 = "取消",
		OnAccept = function()
			PIG = addonTable[Config_ID[id]];
			PIG_Per = addonTable[Config_ID[id].."_Per"];
			Pig_Options_RLtishi_UI:Show()
		end,
		timeout = 0,
		whileDead = true,
		hideOnEscape = true,
	}
end
----------------------------------------------------------------
fuFrame.NPCID = CreateFrame("Button", nil, fuFrame, "UIPanelButtonTemplate");  
fuFrame.NPCID:SetSize(114,24);
fuFrame.NPCID:SetPoint("TOPLEFT",fuFrame,"TOPLEFT",20,-244);
fuFrame.NPCID:SetText("获取目标GUID");
fuFrame.NPCID:SetScript("OnClick", function (self)
	print(UnitGUID("target"))
end);
---提示
fuFrame.tishi = fuFrame:CreateFontString();
fuFrame.tishi:SetPoint("TOPLEFT", fuFrame, "TOPLEFT", 20, -370);
fuFrame.tishi:SetFont(GameFontNormal:GetFont(), 20,"OUTLINE")
fuFrame.tishi:SetTextColor(1, 1, 0, 1);
fuFrame.tishi:SetText("提示：");
fuFrame.tishi1 = fuFrame:CreateFontString();
fuFrame.tishi1:SetPoint("TOPLEFT", fuFrame.tishi, "TOPRIGHT", 10, -2);
fuFrame.tishi1:SetFont(ChatFontNormal:GetFont(), 14,"OUTLINE")
fuFrame.tishi1:SetTextColor(0.6, 1, 0, 1);
fuFrame.tishi1:SetJustifyH("LEFT");
fuFrame.tishi1:SetText(
	"1、如遇到问题，请先在此恢复初始配置再查看是否还存在问题，\n2、如问题仍未解决请加关于内的反馈群。\n"..
	"\124cff00ff003、如只是带本助手或开团助手出现异常，\n4、请在带本助手或开团助手设置内单独重置。\124r");


--启用CPU监控
fuFrame.CPU_OPEN = CreateFrame("Button", nil, fuFrame, "UIPanelButtonTemplate");  
fuFrame.CPU_OPEN:SetSize(110,24);
fuFrame.CPU_OPEN:SetPoint("TOPLEFT",fuFrame,"TOPLEFT",20,-300);
SetCVar("scriptProfile", 0)
fuFrame.CPU_OPEN:SetText("开启CPU监控");
fuFrame.CPU_OPEN:SetScript("OnClick", function (self)
	if self:GetText()=="关闭CPU监控" then
		SetCVar("scriptProfile", 0)
		fuFrame.CPU_OPEN:SetText("开启CPU监控");
	else
		SetCVar("scriptProfile", 1)
		fuFrame.CPU_OPEN:SetText("关闭CPU监控");
	end
end);
fuFrame.CPU_OPEN.CPU_qingling = CreateFrame("Button", nil, fuFrame.CPU_OPEN, "UIPanelButtonTemplate");  
fuFrame.CPU_OPEN.CPU_qingling:SetSize(110,24);
fuFrame.CPU_OPEN.CPU_qingling:SetPoint("LEFT",fuFrame.CPU_OPEN,"RIGHT",20,-0);
fuFrame.CPU_OPEN.CPU_qingling:SetText("清空占用率");
fuFrame.CPU_OPEN.CPU_qingling:SetScript("OnClick", function (self)
	ResetCPUUsage()
end);
fuFrame.CPU_OPEN.CPU_dayin = CreateFrame("Button", nil, fuFrame.CPU_OPEN, "UIPanelButtonTemplate");  
fuFrame.CPU_OPEN.CPU_dayin:SetSize(150,24);
fuFrame.CPU_OPEN.CPU_dayin:SetPoint("LEFT",fuFrame.CPU_OPEN.CPU_qingling,"RIGHT",20,-0);
fuFrame.CPU_OPEN.CPU_dayin:SetText("打印数据到聊天框");
fuFrame.CPU_OPEN.CPU_dayin:SetScript("OnClick", function (self)
	if GetCVarInfo("scriptProfile")=="1" then
		UpdateAddOnMemoryUsage()
		UpdateAddOnCPUUsage()
		for i=1,GetNumAddOns() do
			local name=GetAddOnInfo(i)
			local CPUzhanyou=GetAddOnCPUUsage(i)
			local Neicunzhanyou=GetAddOnMemoryUsage(i)
			print(name.."----内存："..floor(Neicunzhanyou).."K ;----CPU："..CPUzhanyou)
		end
	else
		UpdateAddOnMemoryUsage()
		for i=1,GetNumAddOns() do
			local name=GetAddOnInfo(i)
			local namezhanyou=GetAddOnMemoryUsage(i)
			print(name.."----内存："..floor(namezhanyou).."K")
		end
	end
end);